## gupnp-dlna-gst-utils

gupnp-dlna-gst-utils

## Functions

GUPnPDLNAInformation * | gupnp_dlna_gst_utils_information_from_discoverer_info ()

## Description

## Functions

### gupnp_dlna_gst_utils_information_from_discoverer_info ()

    GUPnPDLNAInformation *
    gupnp_dlna_gst_utils_information_from_discoverer_info
                                   (GstDiscovererInfo *info);

This utility function creates a GUPnPDLNAInformation from GstDiscovererInfo. Its purpose is mainly to pass its result to `gupnp_dlna_profile_guesser_guess_profile_from_info()` to avoid rediscovering of a URI. Created GUPnPDLNAInformation takes a reference on `info` .

#### Parameters

info | A GstDiscovererInfo object. |

#### Returns

A GUPnPDLNAInformation. Unref it when done with it.

[transfer full]